import React, { useState, createContext } from 'react';

export const NavigationContext = createContext(false);

const NavigationProvider = (props) => {
  const [showMenu, setShowMenu] = useState(false);
  const [showSearch, setShowSearch] = useState(false);

  return (
    <NavigationContext.Provider value={{ showMenu, setShowMenu, showSearch, setShowSearch }}>
      {props.children}
    </NavigationContext.Provider>
  );
};

export default NavigationProvider;
